<bugID>788585<Summary>Pause on exceptions probably interferes with 'step', 'next', and 'finish'</Summary><Description>ThreadClient#pauseOnExceptions probably doesn't work when the debuggee is running, even if ThreadClient#interrupt did (bug 788578). If the debuggee is running, pauseOnExceptions interrupts it, and then resumes it with a 'resume' packet with an appropriate pauseOnExceptions property. However, if the original 'resume' packet that had set the debuggee running in the first place had a resumeLimit property, the 'resume' packet sent by ThreadClient#pauseOnExceptions will be missing that resumeLimit.</Description></bugID>